=== applets/CMakeLists.txt ===
INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/lib)
add_subdirectory(core)
add_subdirectory(drawing)
add_subdirectory(wnck)
