=== debian/changelog ===
vala-panel (0.3.65-0ubuntu1) artful; urgency=medium

  * Initial upload. (LP: #1699333)

 -- Martin Wimpress <martin.wimpress@ubuntu.com>  Sat, 15 Jul 2017 22:59:22 +0100
