=== debian/control ===
Source: vala-panel
Section: x11
Priority: optional
Maintainer: Martin Wimpress <martin.wimpress@ubuntu.com>
Build-Depends: cmake (>= 2.8.0),
               debhelper (>= 10),
               docbook-to-man,
               libgtk-3-dev (>= 3.22.0),
               libpeas-dev (>= 1.2.0),
               libwnck-3-dev (>= 3.4.0),
               valac (>= 0.34.0),
Standards-Version: 4.0.0
Homepage: https://github.com/rilian-la-te/vala-panel
Vcs-Git: https://github.com/rilian-la-te/vala-project-packages.git
Vcs-Browser: https://github.com/rilian-la-te/vala-project-packages

Package: vala-panel
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends: libvalapanel0 (= ${binary:Version}),
         vala-panel-common (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: vala-panel-plugins-base,
Suggests: vala-panel-plugins-wnck,
Description: Desktop panel written in Vala and GTK+ 3
 Vala Panel is a rewrite of SimplePanel. It is a GTK+ 3 desktop panel
 written in Vala and based on ideas from LXPanel.
 .
 Vala Panel can be extended with plugins that provide application menus,
 clock, tasklist, system tray, etc.

Package: vala-panel-common
Architecture: all
Depends: ${misc:Depends},
Description: Vala Panel - common files
 Vala Panel is a rewrite of SimplePanel. It is a GTK+ 3 desktop panel
 written in Vala and based on ideas from LXPanel.
 .
 This package provides common files.

Package: libvalapanel0
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: library for Vala Panel
 Vala Panel is a rewrite of SimplePanel. It is a GTK+ 3 desktop panel
 written in Vala and based on ideas from LXPanel.
 .
 This package contains the Vala Panel library.

Package: libvalapanel-dev
Section: libdevel
Architecture: any
Depends: libvalapanel0 (= ${binary:Version}),
         ${misc:Depends},
Description: library for Vala Panel - development files
 Vala Panel is a rewrite of SimplePanel. It is a GTK+ 3 desktop panel
 written in Vala and based on ideas from LXPanel.
 .
 This package contains header files for building plugins or window
 managers with vala-panel support.

Package: vala-panel-plugins-base
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends: vala-panel (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Plugins for vala-panel - non X11 plugins
 Vala Panel is a rewrite of SimplePanel. It is a GTK+ 3 desktop panel
 written in Vala and based on ideas from LXPanel.
 .
 This package contains main plugins for vala-panel: clock, launchbar,
 applications menu and so on.

Package: vala-panel-plugins-wnck
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends: vala-panel (= ${binary:Version}),
         libx11-6,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Plugins for vala-panel - X11 plugins
 Vala Panel is a rewrite of SimplePanel. It is a GTK+ 3 desktop panel
 written in Vala and based on ideas from LXPanel.
 .
 This package contains X11 plugins for vala-panel: tasklist,
 system tray, and others.
