=== debian/rules ===
#!/usr/bin/make -f

DHFLAGS=--buildsystem=cmake
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ $(DHFLAGS)

override_dh_auto_build:
	docbook-to-man debian/vala-panel-runner.1.sgml > debian/vala-panel-runner.1
	dh_auto_build $(DHFLAGS)

override_dh_install:
	dh_install --list-missing

override_dh_auto_configure:
	dh_auto_configure $(DHFLAGS) -- \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo \
		-DCMAKE_INSTALL_PREFIX=/usr \
		-DGSETTINGS_COMPILE=OFF \
		-DENABLE_WNCK=ON

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..
