## vala-panel 0.3.75

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
-cmake_minimum_required (VERSION 2.8)
-cmake_policy (VERSION 2.8)
+cmake_minimum_required (VERSION 3.3)
+cmake_policy (VERSION 3.3)
 project (vala-panel C)
 enable_testing ()
 include(GNUInstallDirs)
@@ -72,70 +72,36 @@
 
 add_custom_target (dist COMMAND ${CMAKE_MAKE_PROGRAM} package_source)
 # Configuration
-configure_file (${CMAKE_SOURCE_DIR}/lib/config.h.in ${CMAKE_BINARY_DIR}/lib/config.h)
+configure_file (${CMAKE_SOURCE_DIR}/util/config.h.in ${CMAKE_BINARY_DIR}/config.h)
 configure_file (${CMAKE_SOURCE_DIR}/${APPNAME}.pc.cmake ${CMAKE_BINARY_DIR}/${APPNAME}.pc)
 
 # Some definitions
 add_definitions(-DGETTEXT_PACKAGE=\"${GETTEXT_PACKAGE}\")
 
 # Vala
-find_package (Vala REQUIRED)
-include (ValaVersion)
-ensure_vala_version ("0.34" MINIMUM)
+find_package (Vala 0.34 REQUIRED)
 include (ValaPrecompile)
 
 add_definitions(-DVALA_VERSION="${VALA_SHORTVER}")
 #add_definitions(-w) #Suppress all GCC warnings
-add_definitions(-Wall -Wno-unused # Vala loves to create variables
-#		-pedantic
-		-Wno-ignored-qualifiers
-		-Wno-incompatible-pointer-types
-		-Wno-missing-field-initializers
-		-Wno-discarded-qualifiers
-		-Wno-sign-compare
-                -Wextra
-                -fstack-protector -fstack-protector-all
+add_definitions(-Wall -Wextra
+                -Wno-unused
+                -Wno-unused-parameter# Vala loves to create variables
+               #-pedantic
+                -Wno-ignored-qualifiers
+                -Wno-incompatible-pointer-types
+                -Wno-missing-field-initializers
+                -Wno-sign-compare
                 ) #Vala often forgot cast to GtkWidget or gpointer
 find_package (PkgConfig)
+find_package(GLIB2 2.50 REQUIRED COMPONENTS GOBJECT GIO GIO_UNIX GMODULE GTHREAD CODEGEN MKENUMS GENMARSHAL COMPILE_SCHEMAS COMPILE_RESOURCES)
+include(GLibProgramHandlers)
+find_package(GTK 3.22 REQUIRED COMPONENTS GDK X11 WAYLAND)
+find_package(PEAS 1.14 REQUIRED COMPONENTS PEAS)
 
-pkg_check_modules (A
-        gtk+-3.0>=3.22)
-
-pkg_check_modules (B
-  glib-2.0>=2.50)
-
-pkg_check_modules (C
-  gio-2.0>=2.50
-)
-
-pkg_check_modules (GLIB_OLD QUIET
-  gio-2.0<=2.52
-)
-
-pkg_check_modules (D
-  gio-unix-2.0>=2.50)
-
-pkg_check_modules (E
-  gthread-2.0>=2.50)
-
-pkg_check_modules (F
-  libpeas-1.0>=1.14)
-
-pkg_check_modules (G
-  libpeas-gtk-1.0>=1.14)
-
-pkg_check_modules (H
-  gmodule-2.0>=2.50)
-
-pkg_check_modules (CORE REQUIRED QUIET
-  gtk+-3.0>=3.22
-  glib-2.0>=2.50
-  gio-2.0>=2.50
-  gio-unix-2.0>=2.50
-  gthread-2.0>=2.50
-  libpeas-1.0>=1.14
-  libpeas-gtk-1.0>=1.14
-  gmodule-2.0>=2.50)
+if(GLIB2_VERSION VERSION_LESS 2.52)
+    set(GLIB_OLD_FOUND TRUE)
+endif()
 
 set(CORE_PACKAGES
   gtk+-3.0
@@ -148,24 +114,11 @@
   gio-addons-2.0
   posix)
 
-set(PACKGAGE_CFLAGS ${CORE_CFLAGS})
-set(PACKAGE_LINK_DIRS ${CORE_LIBRARY_DIRS})
-set(PACKAGE_LIBRARIES ${CORE_LIBRARIES})
-
-add_definitions (${CORE_CFLAGS})
-link_libraries (${CORE_LIBRARIES})
-link_directories (${CORE_LIBRARY_DIRS})
-
-
-# Some include paths
-include_directories(${CMAKE_BINARY_DIR}/lib)
-
-#set requred variables
-set(TARGET_GLIB ${GLIB_VERSION_MAJOR}.${GLIB_VERSION_MINOR})
 
 ADD_SUBDIRECTORY(po)
-ADD_SUBDIRECTORY(lib)
+ADD_SUBDIRECTORY(util)
+ADD_SUBDIRECTORY(runner)
+ADD_SUBDIRECTORY(ui)
 ADD_SUBDIRECTORY(app)
-ADD_SUBDIRECTORY(runner)
 ADD_SUBDIRECTORY(applets)
 ADD_SUBDIRECTORY(data)
