=== po/CMakeLists.txt ===
include(Translations)
add_translations_directory("vala-panel" "bin")
add_translations_catalog("vala-panel"
    ../util
    ../ui
    ../app
    ../data/ui
    ../data/desktop
    ../applets
)
