=== debian/changelog ===
vala-panel (0.3.75-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 01 Jul 2018 13:27:38 -0700

vala-panel (0.3.75-1) unstable; urgency=medium

  * New upstream release.
  * debian/libvalapanel0.symbols:
    + Update symbols file.
  * debian/control:
    + Bump Standards-Version: to 4.1.4. No changes needed.
  * debian/copyright:
    + Use secure URI to obtain copyright format reference.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 24 Apr 2018 11:27:05 +0200

vala-panel (0.3.74-1) unstable; urgency=medium

  * New upstream release.
  * debian/libvalapanel0.symbols:
    + Update symbols files (dbus_menu_* removed).
  * debian/copyright:
    + Update copyright attributions.
  * debian/control:
    + Add B (libvalapanel0): vala-panel-appmenu (<< 0.6.80)

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 15 Feb 2018 21:51:17 +0100

vala-panel (0.3.73-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Add auto-generated copyright.in file for tracking upstream licensing
      changes.
    + Update copyright attributions.
  * debian/libvalapanel0.symbols:
    + Update symbols file.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 23 Jan 2018 03:18:06 +0100

vala-panel (0.3.71-1) unstable; urgency=medium

  [ Martin Wimpress]
  * Initial release to Debian. (Closes: #887675).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 19 Jan 2018 01:06:08 +0100
