=== debian/control ===
--- 
+++ 
@@ -1,22 +1,26 @@
 Source: vala-panel
 Section: x11
 Priority: optional
-Maintainer: Martin Wimpress <martin.wimpress@ubuntu.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
+Uploaders:
+ Debian+Ubuntu MATE Packaging Team <debian-mate@lists.debian.org>,
+ Martin Wimpress <martin.wimpress@ubuntu.com>,
+ Mike Gabriel <sunweaver@debian.org>,
 Build-Depends: cmake (>= 2.8.0),
-               debhelper (>= 10),
+               debhelper (>= 11~),
                docbook-to-man,
                libgtk-3-dev (>= 3.22.0),
                libpeas-dev (>= 1.2.0),
                libwnck-3-dev (>= 3.4.0),
                valac (>= 0.34.0),
-Standards-Version: 4.0.0
+Standards-Version: 4.1.4
 Homepage: https://github.com/rilian-la-te/vala-panel
-Vcs-Git: https://github.com/rilian-la-te/vala-project-packages.git
-Vcs-Browser: https://github.com/rilian-la-te/vala-project-packages
+Vcs-Git: https://anonscm.debian.org/git/pkg-ayatana/vala-panel.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-ayatana/vala-panel.git
 
 Package: vala-panel
 Architecture: any
-Pre-Depends: ${misc:Pre-Depends},
 Depends: libvalapanel0 (= ${binary:Version}),
          vala-panel-common (= ${source:Version}),
          ${misc:Depends},
@@ -44,6 +48,7 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
+Breaks: vala-panel-appmenu (<< 0.6.80),
 Description: library for Vala Panel
  Vala Panel is a rewrite of SimplePanel. It is a GTK+ 3 desktop panel
  written in Vala and based on ideas from LXPanel.
@@ -68,7 +73,7 @@
 Depends: vala-panel (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
-Description: Plugins for vala-panel - non X11 plugins
+Description: Plugins for vala-panel - non-X11 plugins
  Vala Panel is a rewrite of SimplePanel. It is a GTK+ 3 desktop panel
  written in Vala and based on ideas from LXPanel.
  .
