=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 DHFLAGS=--buildsystem=cmake
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+include /usr/share/dpkg/buildflags.mk
 
 %:
 	dh $@ $(DHFLAGS)
